﻿using SfGauge_Xamarin_Forms.Views;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Xamarin.Forms;

namespace SfGauge_Xamarin_Forms
{
    public class App : Application
    {
        public App()
        {
            // The root page of your application
            MainPage = new NavigationPage(new ContentPage());
            MainPage.Navigation.PushModalAsync(new Portrait());

        }
        public void ShowPortrait()
        {
            MainPage.Navigation.PopModalAsync(false);
            MainPage.Navigation.PushModalAsync(new Portrait());
        }

        public void ShowLandscape()
        {
            MainPage.Navigation.PopModalAsync(false);
            MainPage.Navigation.PushModalAsync(new Landscape());
        }

        protected override void OnStart()
        {
            // Handle when your app starts
        }

        protected override void OnSleep()
        {
            // Handle when your app sleeps
        }

        protected override void OnResume()
        {
            // Handle when your app resumes
        }
    }
}
